Uploaded image for project: 'Apache Airflow'
  1. Apache Airflow
  2. AIRFLOW-3400

Remove python-nvd3

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Blocker
    • Resolution: Later
    • Affects Version/s: None
    • Fix Version/s: 2.0.0
    • Component/s: ui
    • Labels:
      None

      Description

      We are using python-nvd3 for generating charts from python side, and this pulls in slugify which by default uses a GPL'd dependency. This dep chian is the cause of needing to pass SLUGIFY_USES_TEXT_UNIDECODE=yes or similar, and that is annoying.

      So we should remove python-nvd3, probably still continue using nvd3.js and d3.js.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              ash Ash Berlin-Taylor
            • Votes:
              1 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: